summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 22:22:39 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:22:39 +0200
commitee70ae24c2c3c2163d3d44e14fe53b89da806934 (patch)
tree6f9c8a4d76f69365336643394b680e5e66cd64f0
parent8e7fc03407c9f4f62d3894be3121f90fed406769 (diff)
downloadslackbuilds-ee70ae24c2c3c2163d3d44e14fe53b89da806934.tar.gz
slackbuilds-ee70ae24c2c3c2163d3d44e14fe53b89da806934.tar.xz
development/mono: Updated for version 1.9.1
-rw-r--r--development/mono/doinst.sh8
-rw-r--r--development/mono/mono.SlackBuild40
-rw-r--r--development/mono/mono.info12
3 files changed, 21 insertions, 39 deletions
diff --git a/development/mono/doinst.sh b/development/mono/doinst.sh
index 6dc7f79d97..ff2c6034a1 100644
--- a/development/mono/doinst.sh
+++ b/development/mono/doinst.sh
@@ -12,11 +12,5 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
-config etc/mono/1.0/machine.config.new
-config etc/mono/1.0/DefaultWsdlHelpGenerator.aspx.new
-config etc/mono/2.0/machine.config.new
-config etc/mono/2.0/web.config.new
-config etc/mono/2.0/DefaultWsdlHelpGenerator.aspx.new
-config etc/mono/config.new
-config etc/mono/browscap.ini.new
+for i in $(find etc/ -name "*.new" | xargs) ; do config $i ; done
diff --git a/development/mono/mono.SlackBuild b/development/mono/mono.SlackBuild
index 0cbe6936fa..b6bd8dc2e1 100644
--- a/development/mono/mono.SlackBuild
+++ b/development/mono/mono.SlackBuild
@@ -1,8 +1,9 @@
#!/bin/sh
-# Slackware build script for mono
+# Slackware build script for Mono
# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# Copyright 2008 Erik Hanson <erik@slackbuilds.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,10 +23,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
+set -eu
PRGNAM=mono
-VERSION=1.2.4
+VERSION=1.9.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -40,8 +41,6 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
-set -e
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -60,33 +59,22 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--enable-shared=yes \
--enable-static=no
-
+
make
make install-strip DESTDIR=$PKG
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
-
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING.LIB ChangeLog LICENSE NEWS README \
- $PKG/usr/doc/$PRGNAM-$VERSION
-cd docs
- for file in assembly-bundle jit-thoughts mini-porting.txt \
- unmanaged-calls embedded-api jit-trampolines object-layout \
- exceptions local-regalloc.txt opcode-decomp.txt aot-compiler.txt \
- gc-issues mini-doc.txt stack-alignment; do
- cat $file > $PKG/usr/doc/$PRGNAM-$VERSION/$file
- done
-cd -
-mv $PKG/usr/share/libgc-mono $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mv $PKG/usr/share/man/man1/* $PKG/usr/man/man1/
+rmdir $PKG/usr/share/man/man1 $PKG/usr/share/man
+gzip -9 $PKG/usr/man/man?/*.?
# Let's not clobber existing config files
-( cd $PKG/etc ; find . -type f -exec mv {} {}.new \; )
+find $PKG/etc -type f -exec mv -v {} {}.new \;
-mkdir -p $PKG/install
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING.LIB ChangeLog LICENSE NEWS README docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm $PKG/usr/doc/$PRGNAM-$VERSION/Makefile*
+mv $PKG/usr/share/libgc-mono $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
diff --git a/development/mono/mono.info b/development/mono/mono.info
index 2876422365..577019a1e2 100644
--- a/development/mono/mono.info
+++ b/development/mono/mono.info
@@ -1,8 +1,8 @@
PRGNAM="mono"
-VERSION="1.2.4"
+VERSION="1.9.1"
HOMEPAGE="http://www.mono-project.com"
-DOWNLOAD="http://go-mono.com/sources/mono/mono-1.2.4.tar.bz2"
-MD5SUM="1d106acef8e3af3593c779f281541a0b"
-MAINTAINER="Martin Lefebvre"
-EMAIL="dadexter@gmail.com"
-APPROVED="rworkman"
+DOWNLOAD="http://ftp.novell.com/pub/mono/sources/mono/mono-1.9.1.tar.bz2"
+MD5SUM="6610c3b999d791553a9dc21059ca9d35"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="Michiel"